Index: SPECS/libaio.spec
===================================================================
--- SPECS.orig/libaio.spec
+++ SPECS/libaio.spec
@@ -1,13 +1,14 @@
 Name: libaio
 Version: 0.3.106
-Release: 3.2
+Release: 3.2.fa1
 Summary: Linux-native asynchronous I/O access library
 License: LGPL
 Group:  System Environment/Libraries
 Source: %{name}-%{version}.tar.gz
+Patch0: libaio-0.3.106-arm.diff
 BuildRoot: %{_tmppath}/%{name}-root
 # Fix ExclusiveArch as we implement this functionality on more architectures
-ExclusiveArch: i386 x86_64 ia64 s390 s390x ppc ppc64 ppc64pseries ppc64iseries alpha alphaev6
+ExclusiveArch: i386 x86_64 ia64 s390 s390x ppc ppc64 ppc64pseries ppc64iseries alpha alphaev6 %{arm}
 
 %description
 The Linux-native asynchronous I/O facility ("async I/O", or "aio") has a
@@ -29,6 +30,7 @@ for the Linux-native asynchronous I/O fa
 %prep
 %setup -a 0
 mv %{name}-%{version} compat-%{name}-%{version}
+%patch0 -p1
 
 %build
 # A library with a soname of 1.0.0 was inadvertantly released.  This
